List manufactures
const url = 'https://api.stocksmith.io/api/v1/manufactures?status=not_started';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.stocksmith.io/api/v1/manufactures?status=not_started' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ”Page number (default: 1)
Results per page (default: 25, max: 100)
Filter by product ID
Filter by production status
Filter by start date on or after this ISO 8601 date (e.g. 2026-01-01). A malformed date is ignored, not rejected.
Filter by start date on or before this ISO 8601 date (e.g. 2026-12-31). A malformed date is ignored, not rejected.
Responses
Section titled “ Responses ”Paginated list of manufactures
object
object
ID of the associated product
Planned quantity (decimal string)
Actual completed quantity (decimal string)
object
ID of the consumed material
Material name
Decimal string
Omitted for view-only users.
object
Decimal string, e.g. ‘8.75’
ISO 4217 code, e.g. ‘USD’
Omitted for view-only users.
object
Decimal string, e.g. ‘8.75’
ISO 4217 code, e.g. ‘USD’
Omitted for view-only users.
object
Decimal string, e.g. ‘8.75’
ISO 4217 code, e.g. ‘USD’
Omitted for view-only users.
object
Decimal string, e.g. ‘8.75’
ISO 4217 code, e.g. ‘USD’
object
Example
{ "manufactures": [ { "production_status": "not_started" } ]}Missing or invalid Bearer token
object
Error message
Example generated
{ "error": "example"}